// util.js

// Retrieves the text value of a DOM Node
function getTextValue(node){
  try{
    for(var i=0,n=node.childNodes.length;i<n;i++){
      if(node.childNodes[i].nodeType == 3){
        return node.childNodes[i].data;
      }
    }
    return;
  }
  catch(e){
    alert("getTextValue: " + e);
  }
}


// Retrieves the first child of a node matching a given tag name
function getFirstChild(node,name){
  try{
    var candidates = node.getElementsByTagName(name);
    if(candidates){
      return candidates[0];
    }
    return;
  }
  catch(e){
    alert("getFirstChild: " + e);
  }
}

// Retrieves the text value of the child of a node knowing its name    
function getFirstChildTextValue(node,name){
  try{
    var child = getFirstChild(node,name);
    if(child){
      return getTextValue(child);
    }
    return;
  }
  catch(e){
    alert("getFirstChildTextValue: " + e);
  }
}
